% Ejemplo para leer achivos binarios de UVP

% limpia todas las variables
clear all

% directorio donde estan los archivos de datos del uvp. Notar la
% contrabarra al final del nombre del directorio.
path='D:\usuarios\Rodrigo\OneDrive - Facultad de Ingeniera\IMFIA\Enseanza\Grado\TallerDeTecnicasDeMedicionEnHidrologiaEHidraulica\2023\Modulo_FAS\Laboratorio_Campo\20230811_UVP\';

% directorio y nombre del archivo de datos del UVP, poner el nombre del
% archivo de UVP que quieren leer con la extension .mfprof.
filename=[path '20230811_0001.mfprof'];

% ejecutar funcin UVPreader
[DopplerVel,AmplData,x,t,SampleTime,CycleDelay,nChannels,nProf,Blocks,...
    VelRange,MinVel,MaxVel,xStart,xEnd,GainStart,GainEnd]=UVPreader(filename);

% DopplerVel es la velocidad medida en m/s
% x es la distancia al sensor en m
% t es el tiempo en s
% Por ms informacin escribir >> help UVPreader